#include "pch.h"
#include <ctime>
#include <string>
#include <cmath>
#include <iostream>

#include <msclr\marshal_cppstd.h>


using namespace System;
using namespace LibApp;

char * ConvertStringToChar(String^ sorig)
{
	std::string unmanaged_orig = msclr::interop::marshal_as<std::string>(sorig);
	char*  converted_name = new char[unmanaged_orig.size() + 1];
	strcpy(converted_name, unmanaged_orig.c_str());
	return converted_name;
}


int main(array<System::String ^> ^args)
{
	MatchIDDataSession^ dataSession = gcnew MatchIDDataSession("8000");
	
	std::cout << "Interface version Session: " << ConvertStringToChar(dataSession->GetSessionInterfaceVersion()) << std::endl;
	std::cout << "Interface version App: " << ConvertStringToChar(dataSession->GetAppInterfaceVersion()) << std::endl;
	std::cout << "-----------------------------------------------------" << std::endl;
	String^ SetID = dataSession->UI_SelectDataset("Please select a dataset containing time information");
	MatchIDData^ DataFromMatchID = gcnew MatchIDData(dataSession, SetID);

	std::cout << "Data: "  << std::endl;
	std::cout << " - Name: " << ConvertStringToChar(DataFromMatchID->DatasetName) << std::endl;
	std::cout << " - Datapoints: " << DataFromMatchID->NumberOfDataPoints << std::endl;
	std::cout << " - Timesteps: " << DataFromMatchID->NumberOfTimeSteps << std::endl;
	std::cout << "-----------------------------------------------------" << std::endl;
	std::cout << "Hit key to exit" << std::endl;
	std::cout.flush();
	std::string str;
	std::getline(std::cin, str);

    return 0;
}
